Skip to main content
GET
/
controls
/
{controlId}
/
documents
List a control's documents
curl --request GET \
  --url https://api.vanta.com/v1/controls/{controlId}/documents \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "1",
        "ownerId": "2",
        "category": "Account setup",
        "description": "Provide two examples of a recent access request and approval ",
        "isSensitive": false,
        "title": "Document Title",
        "uploadStatus": "Needs document",
        "uploadStatusDate": "2024-03-17T00:00:00.000Z",
        "url": "https://example.com"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "1",
      "endCursor": "1"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

controlId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required